//+------------------------------------------------------------------+
//|                                                                  |
//|                                                                  |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright ""
#property link      ""

#property indicator_chart_window

extern color  _Color       = clrWhite;
extern color  _LevelColor  = clrWhite;

int init()
  {

   return(0);
  }

int deinit()
  {

   ObjectDelete("RH1");
   ObjectDelete("SH1");

   ObjectDelete("R_H1");
   ObjectDelete("S_H1");

   Comment("");

   return(0);
  }

int start()
  {

double rates[1][6],xOpen,xClose,xHigh,xLow;
ArrayCopyRates(rates, Symbol(), PERIOD_H1);

if(DayOfWeek() == 1)
{
   if(TimeDayOfWeek(iTime(Symbol(),PERIOD_H1,1)) == 5)
   {
       xClose  = rates[1][4];
       xHigh   = rates[1][3];
       xLow    = rates[1][2];
       xOpen   = rates[1][1];
   }
   else
   {
      for(int d = 5;d>=0;d--)
      {
         if(TimeDayOfWeek(iTime(Symbol(),PERIOD_H1,d)) == 5)
         {
       xClose  = rates[1][4];
       xHigh   = rates[1][3];
       xLow    = rates[1][2];
       xOpen   = rates[1][1];
         }
         
      }  
   }
}
else
{
       xClose  = rates[1][4];
       xHigh   = rates[1][3];
       xLow    = rates[1][2];
       xOpen   = rates[1][1];
}

Comment("");

double R = (xHigh - xLow);

double P = (xOpen + xClose)/2;

double Rx = P + (R * 0.764);

double Sx = P - (R * 0.764);

drawLine(Rx,"RH1",_Color,0);  drawLabel("R_H1",Rx,_LevelColor);
drawLine(Sx,"SH1",_Color,0);  drawLabel("S_H1",Sx,_LevelColor);


   return(0);
  }

void drawLabel(string name,double lvl,color Color)
{
    if(ObjectFind(name) != 0)
    {
        ObjectCreate(name, OBJ_TEXT, 0, Time[10], lvl);
        ObjectSetText(name, name, 8, "Courier New", EMPTY);
        ObjectSet(name, OBJPROP_COLOR, Color);
    }
    else
    {
        ObjectMove(name, 0, Time[10], lvl);
    }
}

void drawLine(double lvl,string name, color Col,int type)
{
         if(ObjectFind(name) != 0)
         {
            ObjectCreate(name, OBJ_HLINE, 0, Time[0], lvl,Time[0],lvl);
            
            if(type == 1)
            ObjectSet(name, OBJPROP_STYLE, STYLE_SOLID);
            else
            ObjectSet(name, OBJPROP_STYLE, STYLE_DOT);
            
            ObjectSet(name, OBJPROP_COLOR, Col);
            ObjectSet(name,OBJPROP_WIDTH,1);
            
         }
         else
         {
            ObjectDelete(name);
            ObjectCreate(name, OBJ_HLINE, 0, Time[0], lvl,Time[0],lvl);
            
            if(type == 1)
            ObjectSet(name, OBJPROP_STYLE, STYLE_SOLID);
            else
            ObjectSet(name, OBJPROP_STYLE, STYLE_DOT);
            
            ObjectSet(name, OBJPROP_COLOR, Col);        
            ObjectSet(name,OBJPROP_WIDTH,1);
          
         }
}